#include<iostream>
#include<cmath>
using namespace std;

int main() {
    short p, q, r, k;
    unsigned long long L, R, i, res = 0;
    cin >> p >> q >> r >> L >> R;
    
    if(p*q + p*r + q*r > p*q*r) {
    	cout << 0;
    	return 0;
	}
    
	k = ceil((3*p*q*r)/(p*q*r - p*q - p*r - q*r));
	if(L >= k) {
		res += R-L+1;
		R = 0; 
		L = 0;
	}
	else if(L < k && R > k) {
		res += R-k;
		R = k;
	}
	for(i=L; i<=R; i++) {
    	if( ceil(i/(p*1.0)) + ceil(i/(q*1.0)) + ceil(i/(r*1.0)) <= i) res += 1;
	}
		
	cout << res;
	
    return 0;
}